Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml4
Class QMTargetFactory

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport
            |
            +--com.jxml.quick.util.qjml4.QGBase
                  |
                  +--com.jxml.quick.util.qjml4.QMTargetFactory

All Implemented Interfaces:
  Item, QBiModal, QConverter, QGBaseIntf

public class QMTargetFactory
extends QGBase
implements QGBaseIntf, QBiModal

Field Summary
`String` | `text`

Fields inherited from class com.jxml.quick.QConverterSupport
`al, destination, PUBLIC, rootTag, SYSTEM`

Constructor Summary
`QMTargetFactory()`
`QMTargetFactory(String text)`

Method Summary
`void` | `cvt()`
`String` | `getQText()`
`void` | `print(PrintWriter pw, String indent)` print a summary of this object
`void` | `setQText(String text)`

Methods inherited from class com.jxml.quick.util.qjml4.QGBase
`print`

Methods inherited from class com.jxml.quick.QConverterSupport
`addBase64Attribute, addBase64Content, addBigDecimalAttribute, addBigDecimalContent, addBooleanAttribute, addBooleanAttribute, addBooleanContent, addBooleanContent, addByteAttribute, addByteAttribute, addByteContent, addByteContent, addCharAttribute, addCharAttribute, addCharContent, addCharContent, addDoubleAttribute, addDoubleAttribute, addDoubleContent, addDoubleContent, addFloatAttribute, addFloatAttribute, addFloatContent, addFloatContent, addIntAttribute, addIntAttribute, addIntContent, addIntContent, addLongAttribute, addLongAttribute, addLongContent, addLongContent, addShortAttribute, addShortAttribute, addShortContent, addShortContent, addStringAttribute, addStringContent, addURLAttribute, addURLContent, emptyElement, endElement, eval, eval, evalRoot, getPUBLIC, getRootTag, getSYSTEM, main, setDestination, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.util.qjml4.QGBaseIntf
`print`

Field Detail

### text

    public String text

Constructor Detail

### QMTargetFactory

    public QMTargetFactory()

### QMTargetFactory

    public QMTargetFactory(String text)

Method Detail

### getQText

    public String getQText()

  Specified by:
    `getQText` in interface `QBiModal`

### setQText

    public void setQText(String text)

  Specified by:
    `setQText` in interface `QBiModal`

### cvt

    public void cvt()
             throws SAXException

  Overrides:
    `cvt` in class `QGBase`

### print

    public void print(PrintWriter pw,
                      String indent)

  Description copied from interface: `QGBaseIntf`
  print a summary of this object
  Specified by:
    `print` in interface `QGBaseIntf`
  Overrides:
    `print` in class `QGBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD